This question about Using an extension: More info required

bug in install script or broken?

Hallo in the hope I get help for fastcgi...

When i install the FastCGIEngineContrib via shell CPAN, everything goes well... so no error

Then I will try to enable FastCGI in the configure-file, but there is noting to enable, so it doesn't appear...

#Here the example...

me@server [~/www/public_html/foswiki]$ perl FastCGIEngineContrib_installer ### FastCGIEngineContrib Installer ### This installer must be run from the root directory of your Foswiki installation. * The script will not do anything without asking you for confirmation first (unless you used -a). * You can abort the script at any point and re-run it later * If you answer 'no' to any questions you can always re-run the script again later ########################################################## Checking dependency on FCGI.... FCGI v0.71 loaded ########################################################## Checking dependency on File::Spec.... File::Spec v3.29 loaded ########################################################## Checking dependency on Cwd.... Cwd v3.29 loaded ########################################################## Checking dependency on POSIX.... POSIX v1.13 loaded ########################################################## Checking dependency on Getopt::Long.... Getopt::Long v2.37 loaded ########################################################## Checking dependency on Pod::Usage.... Pod::Usage v1.36 loaded FastCGIEngineContrib version 5955 is already installed. Are you sure you want to re-ins tall this module? [y/n] y I will keep a backup of any files I overwrite.Fetching the archive for Foswiki::Contrib ::FastCGIEngineContrib. /home/me/public_html/foswiki/FastCGIEngineContrib.tgz exists on this machine; wou ld you like me to use it? It was created on Thu Apr 8 03:00:55 2010. If not, I will try to download a new one. Use existing /home/me/public_html/foswiki/FastCGIEngineContrib.tgz? [y/n] n Downloaded archive from http://foswiki.org/pub/Extensions to /home/me/public_html /foswiki/FastCGIEngineContrib.tgz FastCGIEngineContrib_installer bin/ bin/foswiki.fcgi data/ data/System/ data/System/FastCGIEngineContrib.txt lib/ lib/Foswiki/ lib/Foswiki/Contrib/ lib/Foswiki/Contrib/FastCGIEngineContrib.pm lib/Foswiki/Engine/ lib/Foswiki/Engine/FastCGI.pm lib/Foswiki/Engine/FastCGI/ lib/Foswiki/Engine/FastCGI/ProcManager.pm Archive unpacked Install data/System/FastCGIEngineContrib.txt, permissions 0644 Install lib/Foswiki/Engine/FastCGI.pm, permissions 0644 Install bin/foswiki.fcgi, permissions 0755 Install lib/Foswiki/Engine/FastCGI/ProcManager.pm, permissions 0644 Install lib/Foswiki/Contrib/FastCGIEngineContrib.pm, permissions 0644 Add topic System.FastCGIEngineContrib ########################################################## Adding topic: System.FastCGIEngineContrib to installation .... me@server [~/www/public_html/foswiki]$

then I installed via configure and it tells me the following: Can't locate FCGI, so something seems to be diffrent... but I don't now what... any suggestion???
CPAN is disabled, disabling CPAN

### FastCGIEngineContrib Installer ###

This installer must be run from the root directory of your Foswiki
installation.
    * You can abort the script at any point and re-run it later
    * If you answer 'no' to any questions you can always re-run
      the script again later
##########################################################
Checking dependency on FCGI....
*** FastCGIEngineContrib depends on cpan package FCGI  >0.67
which is described as "FastCGI perl library"
But when I tried to find it I got this error:

Can't locate FCGI.pm

##########################################################
Checking dependency on File::Spec....
File::Spec v3.29 loaded
##########################################################
Checking dependency on Cwd....
Cwd v3.29 loaded
##########################################################
Checking dependency on POSIX....
POSIX v1.13 loaded
##########################################################
Checking dependency on Getopt::Long....
Getopt::Long v2.37 loaded
##########################################################
Checking dependency on Pod::Usage....
Pod::Usage v1.36 loaded
I will keep a backup of any files I overwrite.Archive has already been unpacked.

### Installation finished ###

added after some attempf with the @INC I got the Error:
Can't locate loadable object for module FCGI

Regards


Check DEPENDENICES section at FastCGIEngineContrib

You need to satisfy perl library dependencies

The Contrib requires FCGI. You may be able to get through your operating system's package manager or directly from CPAN

Let us know how you go

-- PaulHarvey - 08 Apr 2010

QuestionForm edit

Subject Using an extension
Extension FastCGIEngineContrib
Version Foswiki 1.0.9
Status More info required
Topic revision: r3 - 08 Apr 2010, PaulHarvey - This page was cached on 17 Jan 2018 - 02:12.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License